[Overview][Constants][Classes][Index] | Reference for unit 'ezcgi' (#fcl)

# TEZcgi.Run

Run the CGI application.

## Declaration

Source position: ezcgi.pp line 63

`public procedure TEZcgi.Run;`

## Description

Run analyses the variables passed to the application, processes the request variables (it stores them in the Variables property) and calls the DoPost or DoGet methods, depending on the method passed to the web server.

After creating the instance of TEZCGI, the Run method is the only method that should be called when using this component.

## See also

Variables |  | Indexed array with variables as name=value pairs.
DoPost |  | Method to handle POST requests
DoGet |  | Method to handle GET requests